GitHub connection overview
GET
/github/connection
const url = 'https://example.com/api/github/connection';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/github/connection \ --header 'Authorization: Bearer <token>'Connection metadata for the integrations UI — which account the App is installed on, who connected it, when, repo count, and selection scope.
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”Connection overview
Media type application/json
object
connected
required
boolean
account
object
login
string
type
string | null
id
integer | null
repositorySelection
string | null
repoCount
required
integer
connectedBy
object
name
string | null
email
string | null
connectedAt
string | null format: date-time
Not authenticated
Media type application/json
object
error
required
Human-readable error message
string
code
Stable machine-readable error code for client branching
string
fieldErrors
First validation message per field path
object
key
additional properties
string
issues
Structured validation issues (Zod)
Array<object>
object
path
required
string
message
required
string
retryAfter
Seconds until rate limit resets (429 responses)
number
reconnect
True if re-linking GitHub may fix the issue
boolean